Compute Acquire Node Scoped

POST
/v1/nodes/{node_id}/compute/acquire

Authorization

HTTPBearer
headerAuthorizationBearer <token>

Path Parameters

node_id*Node Id

Request Body

application/json
  1. body
approval_session_id?string|null
cmd_id?string|null
compute_grant_id*Compute Grant Id
context_node_id?string|null
launch_kwargs?|null
lease_control_token?string|null
offer_id*Offer Id
purpose*Purpose
region?string|null
workspace_path?string|null

Response Body

Successful Response

application/json
  1. response
compute*
[key: string]?any
Example Request
curl -X POST 'https://flywheel.paradigma.inc/api/v1/nodes/string/compute/acquire' \  -H 'Content-Type: application/json' \  -d '{  "compute_grant_id": "string",  "offer_id": "string",  "purpose": "string"}'
Example Response
{  "compute": {    "auto_shutdown_at": "string",    "budget_remaining_cents": 0,    "budget_source": "string",    "compute_grant_id": "string",    "grant_cents": 0,    "lease_control_token": "string",    "lease_id": "string",    "lease_status": "string",    "next_retry_after_seconds": 0,    "offer_id": "string",    "price_cents_per_hour": 0,    "provider": "string",    "region": "string",    "remaining_cents": 0,    "request_state": "string",    "root_compute_budget_id": "string",    "spent_cents": 0  }}